function res = CapitalFlowTarget(lambda,ExoParas,PHI,opt,iniEndoParas)

% show progress
    fprintf('.');
    
% ExoParas
    zNorthData  = ExoParas(3);
         KWorld = ExoParas(10);

% technical paras
    DisplayOn = 0;

% save lambda in ExoParas
    ExoParas(9) = lambda;

%ExoParas    
    
% find EndoParas    
%    iniEndoParas = [15 2 .5 80];

    [EndoValues res_fsolve exitflagMM] = fsolve('ExactMM',iniEndoParas,opt,ExoParas,PHI);
    b = EndoValues(1); bSouth = EndoValues(2); gamma = EndoValues(3); KNorth = EndoValues(4);
    if DisplayOn
        if exitflagMM < 0
            error('negative exitflag in ExactMM.m')
        elseif abs(imag(KNorth))>1/10^8
            KNorth
            error('imaginary values in CapitalFlowTarget.m on top')
        elseif gamma>1 || gamma <0
            error('CapitalFlowTarget.m talking: gamma must be between 0 and 1')
        else
            disp('residua for fsolve ExactMM')
            disp(res_fsolve)
            exitflagMM
        end
    end
    
    KSouth = KWorld - KNorth;

% check result
    disp('greetings from CapitalFlowTarget.m')
    fprintf('lambda: %g, b: %g, bSouth: %g, gamma: %g, KNorth: %g, KSouth: %g\n', lambda, b, bSouth, gamma, KNorth,KSouth);
    
% compute capital stock after policy experiment
    % fix level of zSouth for experiment
        zSouthExperiment = zNorthData;
     %   fprintf('zSouth for experiment: %g\n',zSouthExperiment);
        ExoParas(4) = zSouthExperiment;
        parasNeu = [b bSouth gamma NaN NaN NaN NaN]; % mue is missing here (preference parameter of planner) - not needed
        paras = [ExoParas parasNeu];
      
    % compute equilibrium for experiment
        ini = [KNorth zNorthData];
        [zSol res exitflag] = fsolve('UnionHealthAndInterestRates',ini,opt,paras,PHI);
        KNorthPostReform = zSol(1);
        if DisplayOn
            if exitflag < 0
                error('negative exitflag in CapitalFlowTarget.m')
            elseif abs(imag(KNorthPostReform))>1/10^8
                KNorthPostReform
                error('imaginary values in CapitalFlowTarget.m')
            else
                disp('residua for fsolve UnionHealthAndInterestRates')
                disp(res)
            end
        end        
       
% compute capital flows due to policy experiment
    KSouthPostReform = KWorld - KNorthPostReform;
    CapitalFlowsDueToReform = KSouthPostReform - KSouth;    
    
% target comes from empirical estimates by Alsan et al. (2006) - see Donado Wlde paper for 
% reference. They find that southern capital stock increases by 5.4% = 0.054
    target = 0.054 * KSouth;
    
% return residuum
    res = CapitalFlowsDueToReform - target;
    
% display results
    if DisplayOn
        disp('lambda, capital stock in North, KSouth')
        fprintf('%g\n',lambda);
        fprintf('%g\n',KNorth);
        fprintf('%g\n',KSouth);
        disp('KNorthPostReform, KSouthPostReform')
        fprintf('%g\n',KNorthPostReform)
        fprintf('%g\n',KSouthPostReform)
        %fprintf('KNorthPostReform+KSouthPostReform = %g\n',KNorthPostReform+KSouthPostReform)
        disp('Flows due to reform, target, difference flows and target')
        fprintf('%g\n',CapitalFlowsDueToReform)
        fprintf('%g\n',target)
        fprintf('%g\n',res);
    end
      fprintf('%g\n',res);
end