function res = ExactMM(EndoValues,ExoParas,PHI) 

% find parameters values by equating data "moments" to model moments

% ExoParas
    alpha = ExoParas(1);                   zNorthData  = ExoParas(3); zSouthData  = ExoParas(4); 
       n  = ExoParas(7);          N  = ExoParas(8); 
  lambda  = ExoParas(9); KWorld = ExoParas(10); NSouth = ExoParas(11);     YNorth = ExoParas(12);
   YSouth = ExoParas(13);
    
% EndoValues (these are the parameters which are adjusted to make moments
% fit exactly)
     b  = EndoValues(1); % fixes YNorth
     bSouth = EndoValues(2); % fixes YSouth
     gamma = EndoValues(3); % fixes zNorth
     KNorth = EndoValues(4); % assures rNorth = rSouth
 
% construct paras for computing auxiliary functions
     parasNeu = [b bSouth gamma NaN NaN NaN NaN];
     paras = [ExoParas parasNeu];
     
% compute health - this is the same as in UnionHealthAndInterestRate only
% that zNorth is exogenous here as we calibrate to hit zNorthData
    A = TFP(paras,PHI,'North'); 
    omega = gamma / (1 - gamma) * (A * (1-alpha) * (KNorth/(zNorthData*N))^alpha * n)^lambda;
    RHS = 1 + omega;
    LHS = (1 + omega^(-1))* alpha/PHI *(1-zNorthData)/zNorthData;

    %fprintf('lambda: %g and omega in ExactMM: %g\n', lambda, omega)     
    
% compute interest rates
    rNorth = IntRate(KNorth,paras,PHI,'North'); rSouth = IntRate(KNorth,paras,PHI,'South');
   
% other functions
    YN = A * KNorth^alpha * (zNorthData * N)^(1-alpha);
    res1 = YN - YNorth;
    ASouth = TFP(paras,PHI,'South');
    YS = ASouth * (KWorld-KNorth)^alpha * (zSouthData * NSouth)^(1-alpha);
    res2 = YS - YSouth;
    res3 = RHS - LHS;
    res4 = rNorth - rSouth;

% return residua
    res = [res1 res2 res3 res4];
end