    function res = UnionHealthAndInterestRates(x,paras,PHI,flag)

% this function finds equilibrium value of capital stock KNorth and union
% health level zNorthUnion given exogenous parameters
    
    KNorth = x(1); zNorthUnion = x(2);
    
% parameters    
    ExoParas = paras(1:13); parasNeu = paras(14:20);

% ExoParas
    alpha = ExoParas(1); 
       n  = ExoParas(7);      N  = ExoParas(8); 
  lambda  = ExoParas(9);  
  
% parasNeu
    gamma = parasNeu(3);
    
% from where is function called?
    if flag == 3
        disp('UnionHealthAndInterestRate.m with flag = 3 talking'); lambda
    end
      
% insert right health level into paras
    paras(3) = zNorthUnion; % TFP and interest rates need to be computed for zNorthUnion
        
% compute health
    A = TFP(paras,PHI,'North');
    omega = gamma / (1 - gamma) * (A * (1-alpha) * (KNorth/(zNorthUnion*N))^alpha * n)^lambda;
    RHS = 1 + omega;
    LHS = (1 + omega^(-1))* alpha/PHI *(1-zNorthUnion)/zNorthUnion;

% compute interest rates
    rNorth = IntRate(KNorth,paras,PHI,'North'); rSouth = IntRate(KNorth,paras,PHI,'South');

% return residua
    res = [rNorth-rSouth RHS-LHS];
end